Skip to content
View as Markdown

GET List Abandoned Carts​

GET
/abandon-carts

Retrieve a paginated list of abandoned carts with subscriber and automation data. Includes information about enabled cart-recovery drivers and whether automation funnels are configured.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

query[status]

Filter carts by status.

Type
string
Valid values
"processing""recovered""lost""draft""opt_out"
query[search]

Search carts by keyword.

Type
string
date_range[]

Date range filter as an array of two date strings [start_date, end_date]. Defaults to the last 30 days if not provided or invalid.

Type
array
Min Items
2
Max Items
2
per_page

Number of carts per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of abandoned carts.

application/json
JSON
{
"carts": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"email": "string",
"full_name": "string",
"status": "string",
"provider": "string",
"cart_total": "string",
"currency": "string",
"created_at": "string",
"updated_at": "string",
"recovery_url": "string",
"customer_avatar": "string"
}
]
},
"haveAutomation": true,
"missingAutomations": [
"string"
],
"drivers": {
"additionalProperties": {
"label": "string",
"logo": "string"
}
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI